Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.generator
Class TemperatureData

    java.lang.Object
      |
      +--context.arch.generator.TemperatureData

public class TemperatureData
extends java.lang.Object

This class is a container for temperature data. This includes the temperature information which consists of degrees and units and timestamp.

Constructor Summary
`TemperatureData(java.lang.String degrees, java.lang.String units, java.lang.String time)` Basic constructor

Method Summary
`java.lang.String` | `getDegrees()` Returns the degrees of the temperature
`java.lang.String` | `getTime()` Returns the timestamp
`java.lang.String` | `getUnits()` Returns the units the temperature is measured in
`void` | `setDegrees(java.lang.String degrees)` Sets the degrees of the temperature
`void` | `setTime(java.lang.String time)` Sets the timestamp
`void` | `setUnits(java.lang.String units)` Sets the units the temperature is measured in

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemperatureData

    public TemperatureData(java.lang.String degrees,
                           java.lang.String units,
                           java.lang.String time)

  Basic constructor
  Parameters:
    `degrees` - Degrees of the temperature
    `units` - Units the temperature is measured in
    `Time` - Timestamp for the data

Method Detail

### getDegrees

    public java.lang.String getDegrees()

  Returns the degrees of the temperature
  Returns:
    the degrees of the temperature

### getUnits

    public java.lang.String getUnits()

  Returns the units the temperature is measured in
  Returns:
    the units the temperature is measured in

### setDegrees

    public void setDegrees(java.lang.String degrees)

  Sets the degrees of the temperature
  Parameters:
    `degrees` - the degrees of the temperature

### setUnits

    public void setUnits(java.lang.String units)

  Sets the units the temperature is measured in
  Parameters:
    `units` - the type the temperature is measured in

### getTime

    public java.lang.String getTime()

  Returns the timestamp
  Returns:
    the timestamp

### setTime

    public void setTime(java.lang.String time)

  Sets the timestamp
  Parameters:
    `time` - the timestamp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD